Subject: [EAI] ABNF changes in rfc5336bis-00

From: Ernie Dainow <[email-masked]>
Date: Mon, 12 Jul 2010 15:37:08 -0400

In section 3.3, when references are updated to RFC 5321, the following
will need to be removed

   qcontent = <See Section 3.2.5 of RFC 2822>

RFC 5321 does not have qcontent (needed for for Quoted-string). Instead
it has the following which needs to be extended for UTF8.

   Quoted-string  = DQUOTE *QcontentSMTP DQUOTE

   QcontentSMTP   = qtextSMTP / quoted-pairSMTP

   quoted-pairSMTP  = %d92 %d32-126
                    ; i.e., backslash followed by any ASCII
                    ; graphic (including itself) or SPace

   qtextSMTP      = %d32-33 / %d35-91 / %d93-126
                  ; i.e., within a quoted string, any
                  ; ASCII graphic or space is permitted
                  ; without blackslash-quoting except
                  ; double-quote and the backslash itself.

Section 3.3 repeats a lot of what is already in section 4.1.2 of RFC
5321, making it difficult to do a comparison and see what has really
changed. It would be a lot simpler just to provide the changes that are
needed. So provide ABNF only for the following

   Atom
   quoted-pairSMTP
   qtextSMTP
   uLet-dig
   uLdh-str

after which all the ABNF in RFC 5321 works.

    -Ernie

---

From: Ernie Dainow <[email-masked]>
Date: Mon, 12 Jul 2010 17:57:20 -0400

> after which all the ABNF in RFC 5321 works.
It seems like rfc5335bis uses this style. It only replaces definitions 
that need to be changed and leaves the others from RFC5322 without 
defining a variant. For example, in section 4.4

     mailbox = name-addr / addr-spec / utf8-addr-spec

In some cases where a UTF8 variant is necessary, rfc5335bis uses a 
naming convention by defining   utf8-Label as a variant of Label. By 
comparison, in rfc5336bis, UTF8 variants seem to be named as uLabel. I 
think the former style is preferable.

Now that we are on standards track, I think we should be striving for 
more consistency across all the documents.

-Ernie

---

From: "Jiankang YAO" <[email-masked]>
Date: Tue, 13 Jul 2010 10:51:55 +0800

----- Original Message ----- 
From: "Ernie Dainow" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, July 13, 2010 5:57 AM
Subject: Re: [EAI] ABNF changes in rfc5336bis-00

> think the former style is preferable.

uLabel is easily distingushed  from original label.

if we just update label to new defintion.

the user may confuse the old label and new label.
but label and uLabel is easy to de differented.

> _______________________________________________
> IMA mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ima